#!/bin/sh

# $Id: version.c.SH,v 7.25.4.2 2003/07/06 15:01:03 leeh Exp $ 

spitshell=cat
package=IRC

echo "Extracting $package/src/version.c..."

if test -r version.c.last
then
   generation=`sed -n 's/^char \*generation = \"\(.*\)\";/\1/p' < version.c.last`
   if test ! "$generation" ; then generation=0; fi
else
   generation=0
fi

generation=`expr $generation + 1`

uname=`uname -a`

creation=`date | \
awk '{if (NF == 6) \
         { print $1 " "  $2 " " $3 " "  $6 " at " $4 " " $5 } \
else \
         { print $1 " "  $2 " " $3 " " $7 " at " $4 " " $5 " " $6 }}'`

$spitshell >version.c <<!SUB!THIS!
/*
 *   IRC - Internet Relay Chat, src/version.c
 *   Copyright (C) 1990 Chelsea Ashley Dyerman
 *
 *   This program is free software; you can redistribute it and/or modify
 *   it under the terms of the GNU General Public License as published by
 *   the Free Software Foundation; either version 1, or (at your option)
 *   any later version.
 *
 *   This program is distributed in the hope that it will be useful,
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *   GNU General Public License for more details.
 *
 *   You should have received a copy of the GNU General Public License
 *   along with this program; if not, write to the Free Software
 *   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/*
 * This file is generated by version.c.SH. Any changes made will go away.
 */

#include "patchlevel.h"
#include "serno.h"

const char *generation = "$generation";
const char *creation = "$creation";
const char *platform = "$uname";
const char *ircd_version = PATCHLEVEL;
const char *serno = SERIALNUM;

const char *infotext[] =
{
  "$package --",
  "The ircd-reality development team consists of:",
  "  frequency (frequency@formatted.net)",
  "",
  "This version of ircd-ratbox was created to enhance the user",
  "experience and overall performance specifically tailored for",
  "the Formatted IRC network. There are small modifications here",
  "and there, but no major changes in terms of code and such,",
  "after all, the original ircd-ratbox coders did such a great job.",
  "",
  "ircd-ratbox can be found at www.ircd-ratbox.org or on EFnet,",
  "channel #hybrid.coders",
  "",
  "ircd-ratbox is a fork of ircd-hybrid (version 7), somewhere around Release",
  "Candidate number 1.",
  "",
  "This program is free software; you can redistribute it and/or",
  "modify it under the terms of the GNU General Public License as",
  "published by the Free Software Foundation; either version 1, or",
  "(at your option) any later version.",
  "",
!SUB!THIS!

IFS='
'
for i in `grep -v '^$Id' ../CREDITS |tr -d '"'` ; do
echo "  \"$i\"," >> version.c
done
$spitshell >>version.c <<!SUB!THISTOO!
  "",
  0,
};
!SUB!THISTOO!
